.\" Copyright (c) 1990 Carnegie Mellon University
.\" All rights reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Revision 1.2  90/12/12  15:46:14  mja
.TH ATOT 3 6/20/86
.CM 4
.SH NAME
atot \- convert ascii date string to time
.SH SYNOPSIS
.B 
#include <sys/types.h>
.br
.B
#include <sys/time.h>
.br
.B
time_t atot(datestr)
.br
.B
char *datestr;
.SH DESCRIPTION
.I 
Atot
converts an ascii date specification to its equivalent
UNIX date/time representation.
The date string is parsed using
.IR parsedate (3).
The month, day and year default to today while the
time defaults to 00:00:00.
.SH "SEE ALSO"
.IR gettimeofday (2),
.IR ctime (3),
.IR gtime (3),
.IR localtime (3),
.IR parsedate (3)
.SH DIAGNOSTICS
Returns the converted time, \-1 for invalid dates.
